#
# spec file for package cosmic-term
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.system76.CosmicTerm
Name:           cosmic-term
Version:        0.1.0+git20240620.09e2073
Release:        1.1
Summary:        COSMIC terminal emulator
License:        GPL-3.0-only
URL:            https://github.com/pop-os/cosmic-term
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(xkbcommon)
Requires:       mozilla-fira-fonts
Requires:       google-noto-coloremoji-fonts

%description
COSMIC terminal emulator, built using alacritty_terminal that is provided by the
alacritty project. cosmic-term provides bidirectional rendering and ligatures
with a custom renderer based on cosmic-text.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install
%suse_update_desktop_file %{appname}

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_iconsdir}/hicolor/*/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.metainfo.xml

%changelog
* Thu Mar 14 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
